require("../_virtual/_rolldown/runtime.js");
require("./mergeWith.js");
let _pisell_utils = require("@pisell/utils");
//#region src/utils/index.ts
const isBrowser = !!(typeof window !== "undefined" && window.document && window.document.createElement);
const getCssNumber = (val) => {
	if ((0, _pisell_utils.isNumber)(val)) return `${val}px`;
	else if ((0, _pisell_utils.isString)(val)) {
		const trimVal = val.trim();
		if (!Number.isNaN(Number(trimVal))) return `${val}px`;
		return val;
	} else return val;
};
function uuid() {
	return (Math.random() * 1e6 >> 0).toString(36);
}
//#endregion
exports.getCssNumber = getCssNumber;
exports.isBrowser = isBrowser;
exports.uuid = uuid;
